import { camelize } from 'camelize-object-key';
import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import BlockFeatures from './block-features';
import store from '@/.storybook/store';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
	color: [],
	number: [],
	json: ['features'],
};

<Meta title="Features" component={BlockFeatures} argTypes={addControls(argTypes, controls)} />

# Features

This module is used on the product pages.

It is used to highlight features of the product.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockFeatures },
		template: '<block-features v-bind="$props" />',
		store,
	};
};

export const features = [
	{
		icon_mobile: {},
		icon: {
			url:
				'https://images.prismic.io/molekule/084ca9b2-325e-4f71-9487-a680b8b3fdd0_6.1.1+FAQ+Banner+-+Whisper+quiet.svg?auto=compress,format',
			alt: null,
			copyright: null,
			width: 84,
			height: 84,
		},
		heading: 'Whisper quiet',
		description: 'Sleep easy. Our air purifiers are made for even the lightest snoozers.',
	},
	{
		icon_mobile: {},
		icon: {
			url:
				'https://images.prismic.io/molekule/59c22e8e-243f-4666-bd21-2b616ade5dc6_6.1.2+FAQ+Banner+-+Ozone+free.svg?auto=compress,format',
			alt: null,
			copyright: null,
			width: 84,
			height: 84,
		},
		heading: 'Ozone-free',
		description: 'Not only do our air purifiers not emit ozone, they destroy it.',
	},
	{
		icon_mobile: {},
		icon: {
			url:
				'https://images.prismic.io/molekule/3fe72e00-c759-436d-ae93-3e5c2ef0914c_6.1.3+FAQ+Banner+-+Autoatic+filter+refills.svg?auto=compress,format',
			alt: null,
			copyright: null,
			width: 84,
			height: 84,
		},
		heading: 'Filter auto-refills',
		description: 'Filters ship automatically to you when you need them. We cover shipping.',
	},
	{
		icon_mobile: {},
		icon: {
			url:
				'https://images.prismic.io/molekule/7635a96c-e38f-4520-b32a-e81a896f95d6_6.1+FAQ+Banner+-+Free+returns.svg?auto=compress,format',
			alt: null,
			copyright: null,
			width: 84,
			height: 84,
		},
		heading: '30-day home trial.',
		description: 'Don’t love it? Return it within 30 days for a refund—including shipping.',
	},
];

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			features: camelize(features),
			hidden: 'No',
			id: null,
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockFeatures} />
